## oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee-dkms 0017.1016.2013~sutton1

=== Makefile ===
export KMODDIR?=       updates
KMODDIR_ARG:=   "INSTALL_MOD_DIR=$(KMODDIR)"
ifneq ($(origin KLIB), undefined)
KMODPATH_ARG:=  "INSTALL_MOD_PATH=$(KLIB)"
else
export KLIB:=          /lib/modules/$(shell uname -r)
endif
export KLIB_BUILD ?=	$(KLIB)/build
# Sometimes not available in the path
MODPROBE := /sbin/modprobe

ifneq ($(wildcard $(MODPROBE)),)
MADWIFI=$(shell $(MODPROBE) -l ath_pci)
OLD_IWL=$(shell $(MODPROBE) -l iwl4965)
endif

DESTDIR?=

ifneq ($(KERNELRELEASE),)

NOSTDINC_FLAGS := -I$(M)/include/ \
	-include $(M)/include/linux/compat-2.6.h \
	$(CFLAGS)

obj-y := compat/

obj-$(CONFIG_COMPAT_RFKILL) += net/rfkill/

ifeq ($(BT),)
obj-$(CONFIG_COMPAT_WIRELESS) += net/wireless/ net/mac80211/
obj-$(CONFIG_COMPAT_WIRELESS_MODULES) += drivers/net/wireless/

obj-$(CONFIG_COMPAT_NET_USB_MODULES) += drivers/net/usb/

obj-$(CONFIG_COMPAT_NETWORK_MODULES) += drivers/net/ethernet/atheros/
obj-$(CONFIG_COMPAT_NETWORK_MODULES) += drivers/net/ethernet/broadcom/

obj-$(CONFIG_COMPAT_VAR_MODULES) += drivers/ssb/
obj-$(CONFIG_COMPAT_VAR_MODULES) += drivers/bcma/
obj-$(CONFIG_COMPAT_VAR_MODULES) += drivers/misc/eeprom/

ifeq ($(CONFIG_STAGING_EXCLUDE_BUILD),)
endif

endif

obj-$(CONFIG_COMPAT_BLUETOOTH) += net/bluetooth/
obj-$(CONFIG_COMPAT_BLUETOOTH_MODULES) += drivers/bluetooth/

else

export PWD :=	$(shell pwd)
CFLAGS += \
        -DCOMPAT_BASE_TREE="\"$(shell cat compat_base_tree)\"" \
        -DCOMPAT_BASE_TREE_VERSION="\"$(shell cat compat_base_tree_version)\"" \
        -DCOMPAT_PROJECT="\"Compat-wireless\"" \
        -DCOMPAT_VERSION="\"$(shell cat compat_version)\""

# These exported as they are used by the scripts
# to check config and compat autoconf
export COMPAT_CONFIG=config.mk
export CONFIG_CHECK=.$(COMPAT_CONFIG)_md5sum.txt
export COMPAT_AUTOCONF=include/linux/compat_autoconf.h
export CREL=$(shell cat $(PWD)/compat_version)
export CREL_PRE:=.compat_autoconf_
export CREL_CHECK:=$(CREL_PRE)$(CREL)

include $(PWD)/$(COMPAT_CONFIG)

all: modules

modules: $(CREL_CHECK)
	@./scripts/check_config.sh
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) modules
	@touch $@

bt: $(CREL_CHECK)
	@./scripts/check_config.sh
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) BT=TRUE modules
	@touch $@

# With the above and this we make sure we generate a new compat autoconf per
# new relase of compat-wireless-2.6 OR when the user updates the 
# $(COMPAT_CONFIG) file
$(CREL_CHECK):
	@# Force to regenerate compat autoconf
	@rm -f $(CONFIG_CHECK)
	@./scripts/check_config.sh
	@touch $@
	@md5sum $(COMPAT_CONFIG) > $(CONFIG_CHECK)

btinstall: btuninstall bt-install-modules

bt-install-modules: bt $(MODPROBE)
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) $(KMODDIR_ARG) $(KMODPATH_ARG) BT=TRUE \
		modules_install
	@/sbin/depmod -ae
	@echo
	@echo "Currently detected bluetooth subsystem modules:"
	@echo
	@$(MODPROBE) -l ath3k       
	@$(MODPROBE) -l bcm203x
	@$(MODPROBE) -l bluecard_cs
	@$(MODPROBE) -l bluetooth
	@$(MODPROBE) -l bnep
	@$(MODPROBE) -l bpa10x
	@$(MODPROBE) -l bt3c_cs
	@$(MODPROBE) -l btmrvl
	@$(MODPROBE) -l btmrvl_sdio
	@$(MODPROBE) -l btsdio
	@$(MODPROBE) -l btusb
	@$(MODPROBE) -l btuart_cs
	@$(MODPROBE) -l	cmtp
	@$(MODPROBE) -l	dtl1_cs
	@$(MODPROBE) -l hidp
	@$(MODPROBE) -l	hci_vhci
	@$(MODPROBE) -l	hci_uart
	@$(MODPROBE) -l l2cap
	@$(MODPROBE) -l rfcomm
	@$(MODPROBE) -l sco
	@echo
	@echo Now run:
	@echo
	@echo sudo make btunload:
	@echo
	@echo And then load the needed bluetooth modules. If unsure reboot.
	@echo

btuninstall: $(MODPROBE)
	@# New location, matches upstream
	@rm -rf $(KLIB)/$(KMODDIR)/net/bluetooth/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/bluetooth/
	@# Lets only remove the stuff we are sure we are providing
	@# on the misc directory.
	@/sbin/depmod -ae
	@echo
	@echo "Your old bluetooth subsystem modules were left intact:"
	@echo
	@$(MODPROBE) -l ath3k       
	@$(MODPROBE) -l bcm203x
	@$(MODPROBE) -l bluecard_cs
	@$(MODPROBE) -l bluetooth
	@$(MODPROBE) -l bnep
	@$(MODPROBE) -l bpa10x
	@$(MODPROBE) -l bt3c_cs
	@$(MODPROBE) -l btmrvl
	@$(MODPROBE) -l btmrvl_sdio
	@$(MODPROBE) -l btsdio
	@$(MODPROBE) -l btusb
	@$(MODPROBE) -l btuart_cs
	@$(MODPROBE) -l	cmtp
	@$(MODPROBE) -l	dtl1_cs
	@$(MODPROBE) -l hidp
	@$(MODPROBE) -l	hci_vhci
	@$(MODPROBE) -l	hci_uart
	@$(MODPROBE) -l l2cap
	@$(MODPROBE) -l rfcomm
	@$(MODPROBE) -l sco
	@echo

btclean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) BT=TRUE clean
	@rm -f $(CREL_PRE)*

install: uninstall install-modules install-scripts

install-modules: modules
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) $(KMODDIR_ARG) $(KMODPATH_ARG) \
		modules_install
	@./scripts/update-initramfs

install-scripts: $(MODPROBE)
	@# All the scripts we can use
	@mkdir -p $(DESTDIR)/usr/lib/compat-wireless/
	@install scripts/modlib.sh	$(DESTDIR)/usr/lib/compat-wireless/
	@install scripts/madwifi-unload	$(DESTDIR)/usr/sbin/
	@# This is to allow switching between drivers without blacklisting
	@install scripts/athenable	$(DESTDIR)/usr/sbin/
	@install scripts/b43enable	$(DESTDIR)/usr/sbin/
	@install scripts/iwl-enable	$(DESTDIR)/usr/sbin/
	@install scripts/athload	$(DESTDIR)/usr/sbin/
	@install scripts/b43load	$(DESTDIR)/usr/sbin/
	@install scripts/iwl-load	$(DESTDIR)/usr/sbin/
	@if [ ! -z "$(MADWIFI)" ] && [ -z "$(DESTDIR)" ]; then \
		echo ;\
		echo -n "Note: madwifi detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo athenable madwifi"  ;\
		echo ;\
		echo Running athenable ath5k...;\
		/usr/sbin/athenable ath5k ;\
	fi
	@if [ ! -z "$(OLD_IWL)" ] && [ -z "$(DESTDIR)" ]; then \
		echo ;\
		echo -n "Note: iwl4965 detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo iwl-load iwl4965"  ;\
		echo ;\
		echo Running iwl-enable iwlagn...;\
		/usr/sbin/iwl-enable iwlagn ;\
	fi
	@# If on distributions like Mandriva which like to
	@# compress their modules this will find out and do
	@# it for you. Reason is some old version of modutils
	@# won't know mac80211.ko should be used instead of
	@# mac80211.ko.gz
	@./scripts/compress_modules
	@# Mandrake doesn't have a depmod.d/ conf file to prefer
	@# the updates/ dir which is what we use so we add one for it
	@# (or any other distribution that doens't have this).
	@./scripts/check_depmod
	@# Udev stuff needed for the new compat_firmware_class.
	@./compat/scripts/compat_firmware_install
	@/sbin/depmod -a
	@echo
	@echo "Currently detected wireless subsystem modules:"
	@echo 
	@$(MODPROBE) -l mac80211
	@$(MODPROBE) -l cfg80211
	@$(MODPROBE) -l lib80211
	@$(MODPROBE) -l adm8211
	@$(MODPROBE) -l ar9170usb
	@$(MODPROBE) -l at76c50x-usb
	@$(MODPROBE) -l ath
	@$(MODPROBE) -l ath5k
	@$(MODPROBE) -l ath6kl
	@$(MODPROBE) -l ath9k
	@$(MODPROBE) -l ath9k_htc
	@$(MODPROBE) -l b43
	@$(MODPROBE) -l b43legacy
	@$(MODPROBE) -l b44
	@$(MODPROBE) -l carl9170
	@$(MODPROBE) -l brcm80211
	@$(MODPROBE) -l cdc_ether
	@$(MODPROBE) -l eeprom_93cx6
	@$(MODPROBE) -l ipw2100
	@$(MODPROBE) -l ipw2200
	@$(MODPROBE) -l iwl3945
	@$(MODPROBE) -l iwlagn
	@$(MODPROBE) -l iwlcore
	@$(MODPROBE) -l iwmc3200wifi
	@$(MODPROBE) -l lib80211_crypt_ccmp
	@$(MODPROBE) -l lib80211_crypt_tkip
	@$(MODPROBE) -l lib80211_crypt_wep
	@$(MODPROBE) -l libertas
	@$(MODPROBE) -l libertas_cs
	@$(MODPROBE) -l libertas_sdio
	@$(MODPROBE) -l libertas_spi
	@$(MODPROBE) -l libertas_tf
	@$(MODPROBE) -l libertas_tf_usb
	@$(MODPROBE) -l libipw
	@$(MODPROBE) -l mac80211_hwsim
	@$(MODPROBE) -l mwl8k
	@$(MODPROBE) -l orinoco_cs
	@$(MODPROBE) -l orinoco_nortel
	@$(MODPROBE) -l orinoco_pci
	@$(MODPROBE) -l orinoco_plx
	@$(MODPROBE) -l orinoco_tld
	@$(MODPROBE) -l orinoco_usb
	@$(MODPROBE) -l orinoco
	@$(MODPROBE) -l p54common
	@$(MODPROBE) -l p54pci
	@$(MODPROBE) -l p54spi
	@$(MODPROBE) -l p54usb
	@$(MODPROBE) -l rndis_host
	@$(MODPROBE) -l rndis_wlan
	@$(MODPROBE) -l rt2400pci
	@$(MODPROBE) -l rt2500pci
	@$(MODPROBE) -l rt2500usb
	@$(MODPROBE) -l rt2800pci
	@$(MODPROBE) -l rt2800usb
	@$(MODPROBE) -l rt2x00lib
	@$(MODPROBE) -l rt2x00pci
	@$(MODPROBE) -l rt2x00usb
	@$(MODPROBE) -l rt61pci
	@$(MODPROBE) -l rt73usb
	@$(MODPROBE) -l rtl8180
	@$(MODPROBE) -l rtl8187
	@$(MODPROBE) -l rtlwifi
	@$(MODPROBE) -l rtl8192ce
	@$(MODPROBE) -l spectrum_cs
	@$(MODPROBE) -l ssb
	@$(MODPROBE) -l usb8xxx
	@$(MODPROBE) -l usbnet
	@$(MODPROBE) -l wl1251
	@$(MODPROBE) -l wl12xx
	@$(MODPROBE) -l zd1211rw
	@echo
	@echo "Currently detected ethernet subsystem modules:"
	@echo
	@$(MODPROBE) -l atl1
	@$(MODPROBE) -l atl2
	@$(MODPROBE) -l atl1e
	@$(MODPROBE) -l atl1c
	@echo
	@echo "Currently detected bluetooth subsystem modules:"
	@echo
	@$(MODPROBE) -l ath3k           
	@$(MODPROBE) -l bcm203x
	@$(MODPROBE) -l bluecard_cs
	@$(MODPROBE) -l bluetooth
	@$(MODPROBE) -l bnep
	@$(MODPROBE) -l bpa10x
	@$(MODPROBE) -l bt3c_cs
	@$(MODPROBE) -l btmrvl
	@$(MODPROBE) -l btmrvl_sdio
	@$(MODPROBE) -l btsdio
	@$(MODPROBE) -l btusb
	@$(MODPROBE) -l btuart_cs
	@$(MODPROBE) -l	cmtp
	@$(MODPROBE) -l	dtl1_cs
	@$(MODPROBE) -l hidp
	@$(MODPROBE) -l	hci_vhci
	@$(MODPROBE) -l	hci_uart
	@$(MODPROBE) -l l2cap
	@$(MODPROBE) -l rfcomm
	@$(MODPROBE) -l sco
	@echo 
	@echo Now run:
	@echo 
	@echo sudo make unload to unload all: wireless, bluetooth and ethernet modules
	@echo sudo make wlunload to unload wireless modules
	@echo sudo make btunload to unload bluetooth modules
	@echo
	@echo Run sudo modprobe 'driver-name' to load your desired driver. 
	@echo If unsure reboot.
	@echo

uninstall: $(MODPROBE)
	@# New location, matches upstream
	@rm -rf $(KLIB)/$(KMODDIR)/compat/
	@rm -rf $(KLIB)/$(KMODDIR)/net/mac80211/
	@rm -rf $(KLIB)/$(KMODDIR)/net/rfkill/
	@rm -rf $(KLIB)/$(KMODDIR)/net/wireless/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/ssb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/usb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/wireless/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/staging/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/atl*
	@# Lets only remove the stuff we are sure we are providing
	@# on the misc directory.
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom/eeprom_93cx6.ko*
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom_93cx6.ko*
	@rm -f $(KLIB)/$(KMODDIR)/drivers/net/b44.ko*
	@/sbin/depmod -a
	@echo
	@echo "Your old wireless subsystem modules were left intact:"
	@echo 
	@$(MODPROBE) -l mac80211
	@$(MODPROBE) -l cfg80211
	@$(MODPROBE) -l lib80211
	@$(MODPROBE) -l adm8211
	@$(MODPROBE) -l ar9170usb
	@$(MODPROBE) -l at76c50x-usb
	@$(MODPROBE) -l ath
	@$(MODPROBE) -l ath5k
	@$(MODPROBE) -l ath6kl
	@$(MODPROBE) -l ath9k
	@$(MODPROBE) -l ath9k_htc
	@$(MODPROBE) -l b43
	@$(MODPROBE) -l b43legacy
	@$(MODPROBE) -l b44
	@$(MODPROBE) -l carl9170
	@$(MODPROBE) -l brcm80211
	@$(MODPROBE) -l cdc_ether
	@$(MODPROBE) -l eeprom_93cx6
	@$(MODPROBE) -l ipw2100
	@$(MODPROBE) -l ipw2200
	@$(MODPROBE) -l iwl3945
	@$(MODPROBE) -l iwlagn
	@$(MODPROBE) -l iwlcore
	@$(MODPROBE) -l iwmc3200wifi
	@$(MODPROBE) -l lib80211_crypt_ccmp
	@$(MODPROBE) -l lib80211_crypt_tkip
	@$(MODPROBE) -l lib80211_crypt_wep
	@$(MODPROBE) -l libertas
	@$(MODPROBE) -l libertas_cs
	@$(MODPROBE) -l libertas_sdio
	@$(MODPROBE) -l libertas_spi
	@$(MODPROBE) -l libertas_tf
	@$(MODPROBE) -l libertas_tf_usb
	@$(MODPROBE) -l libipw
	@$(MODPROBE) -l mac80211_hwsim
	@$(MODPROBE) -l mwl8k
	@$(MODPROBE) -l orinoco_cs
	@$(MODPROBE) -l orinoco_nortel
	@$(MODPROBE) -l orinoco_pci
	@$(MODPROBE) -l orinoco_plx
	@$(MODPROBE) -l orinoco_tld
	@$(MODPROBE) -l orinoco_usb
	@$(MODPROBE) -l orinoco
	@$(MODPROBE) -l p54common
	@$(MODPROBE) -l p54pci
	@$(MODPROBE) -l p54spi
	@$(MODPROBE) -l p54usb
	@$(MODPROBE) -l rndis_host
	@$(MODPROBE) -l rndis_wlan
	@$(MODPROBE) -l rt2400pci
	@$(MODPROBE) -l rt2500pci
	@$(MODPROBE) -l rt2500usb
	@$(MODPROBE) -l rt2800pci
	@$(MODPROBE) -l rt2800usb
	@$(MODPROBE) -l rt2x00lib
	@$(MODPROBE) -l rt2x00pci
	@$(MODPROBE) -l rt2x00usb
	@$(MODPROBE) -l rt61pci
	@$(MODPROBE) -l rt73usb
	@$(MODPROBE) -l rtl8180
	@$(MODPROBE) -l rtl8187
	@$(MODPROBE) -l rtlwifi
	@$(MODPROBE) -l rtl8192ce
	@$(MODPROBE) -l spectrum_cs
	@$(MODPROBE) -l ssb
	@$(MODPROBE) -l usb8xxx
	@$(MODPROBE) -l usbnet
	@$(MODPROBE) -l wl1251

=== compat/Makefile ===
obj-m += compat.o
#compat-objs :=

obj-$(CONFIG_COMPAT_FIRMWARE_CLASS) += compat_firmware_class.o
obj-$(CONFIG_COMPAT_NET_SCH_CODEL) += sch_codel.o

sch_fq_codel-y = sch_fq_codel_core.o flow_dissector.o

obj-$(CONFIG_COMPAT_NET_SCH_FQ_CODEL) += sch_fq_codel.o

compat-y += main.o

# Compat kernel compatibility code
compat-$(CONFIG_COMPAT_KERNEL_2_6_14) += compat-2.6.14.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_18) += compat-2.6.18.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_19) += compat-2.6.19.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_21) += compat-2.6.21.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_22) += compat-2.6.22.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_23) += compat-2.6.23.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_24) += compat-2.6.24.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_25) += \
	compat-2.6.25.o \
	pm_qos_params.o

compat-$(CONFIG_COMPAT_KERNEL_2_6_26) += compat-2.6.26.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_27) += compat-2.6.27.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_28) += compat-2.6.28.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_29) += compat-2.6.29.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_32) += compat-2.6.32.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_33) += compat-2.6.33.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_34) += compat-2.6.34.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_35) += compat-2.6.35.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_36) += compat-2.6.36.o

compat-$(CONFIG_COMPAT_KFIFO) += kfifo.o

compat-$(CONFIG_COMPAT_KERNEL_2_6_37) += compat-2.6.37.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_38) += compat-2.6.38.o
compat-$(CONFIG_COMPAT_KERNEL_2_6_39) += \
	compat-2.6.39.o \
	kstrtox.o
compat-$(CONFIG_COMPAT_KERNEL_3_0) += compat-3.0.o
compat-$(CONFIG_COMPAT_KERNEL_3_1) += compat-3.1.o
compat-$(CONFIG_COMPAT_KERNEL_3_2) += compat-3.2.o
compat-$(CONFIG_COMPAT_KERNEL_3_3) += \
	compat-3.3.o
compat-$(CONFIG_COMPAT_KERNEL_3_4) += compat-3.4.o

compat-$(CONFIG_COMPAT_CORDIC) += cordic.o
compat-$(CONFIG_COMPAT_CRC8) += crc8.o

ifndef CONFIG_64BIT
ifndef CONFIG_GENERIC_ATOMIC64
  compat-y += compat_atomic.o
endif
endif

=== net/bluetooth/Makefile ===
#
# Makefile for the Linux Bluetooth subsystem.
#

obj-$(CONFIG_BT)	+= bluetooth.o
obj-$(CONFIG_BT_RFCOMM)	+= rfcomm/
obj-$(CONFIG_BT_BNEP)	+= bnep/
obj-$(CONFIG_BT_CMTP)	+= cmtp/
obj-$(CONFIG_COMPAT_BT_HIDP)	+= hidp/

bluetooth-y := af_bluetooth.o hci_core.o hci_conn.o hci_event.o mgmt.o hci_sock.o hci_sysfs.o lib.o
bluetooth-$(CONFIG_COMPAT_BT_L2CAP)	+= l2cap_core.o l2cap_sock.o smp.o
bluetooth-$(CONFIG_COMPAT_BT_SCO)	+= sco.o

=== net/mac80211/Makefile ===
obj-$(CONFIG_MAC80211) += mac80211.o

# mac80211 objects
mac80211-y := \
	main.o status.o \
	sta_info.o \
	wep.o \
	wpa.o \
	scan.o offchannel.o \
	ht.o agg-tx.o agg-rx.o \
	ibss.o \
	work.o \
	iface.o \
	rate.o \
	michael.o \
	tkip.o \
	aes_ccm.o \
	aes_cmac.o \
	cfg.o \
	rx.o \
	spectmgmt.o \
	tx.o \
	key.o \
	util.o \
	wme.o \
	event.o \
	chan.o \
	mlme.o

mac80211-$(CONFIG_COMPAT_MAC80211_DRIVER_API_TRACER) += driver-trace.o

mac80211-$(CONFIG_MAC80211_LEDS) += led.o
mac80211-$(CONFIG_MAC80211_DEBUGFS) += \
	debugfs.o \
	debugfs_sta.o \
	debugfs_netdev.o \
	debugfs_key.o

mac80211-$(CONFIG_MAC80211_MESH) += \
	mesh.o \
	mesh_pathtbl.o \
	mesh_plink.o \
	mesh_hwmp.o \
	mesh_sync.o

mac80211-$(CONFIG_PM) += pm.o

CFLAGS_driver-trace.o := -I$(src)

# objects for PID algorithm
rc80211_pid-y := rc80211_pid_algo.o
rc80211_pid-$(CONFIG_MAC80211_DEBUGFS) += rc80211_pid_debugfs.o

rc80211_minstrel-y := rc80211_minstrel.o
rc80211_minstrel-$(CONFIG_MAC80211_DEBUGFS) += rc80211_minstrel_debugfs.o

rc80211_minstrel_ht-y := rc80211_minstrel_ht.o
rc80211_minstrel_ht-$(CONFIG_MAC80211_DEBUGFS) += rc80211_minstrel_ht_debugfs.o

mac80211-$(CONFIG_MAC80211_RC_PID) += $(rc80211_pid-y)
mac80211-$(CONFIG_MAC80211_RC_MINSTREL) += $(rc80211_minstrel-y)
mac80211-$(CONFIG_MAC80211_RC_MINSTREL_HT) += $(rc80211_minstrel_ht-y)

ccflags-y += -D__CHECK_ENDIAN__

=== net/wireless/Makefile ===
obj-$(CONFIG_CFG80211) += cfg80211.o
obj-$(CONFIG_LIB80211) += lib80211.o
obj-$(CONFIG_LIB80211_CRYPT_WEP) += lib80211_crypt_wep.o
obj-$(CONFIG_LIB80211_CRYPT_CCMP) += lib80211_crypt_ccmp.o
obj-$(CONFIG_LIB80211_CRYPT_TKIP) += lib80211_crypt_tkip.o

cfg80211-y += core.o sysfs.o radiotap.o util.o reg.o scan.o nl80211.o
cfg80211-y += mlme.o ibss.o sme.o chan.o ethtool.o mesh.o
cfg80211-$(CONFIG_CFG80211_DEBUGFS) += debugfs.o
cfg80211-$(CONFIG_CFG80211_WEXT) += wext-compat.o wext-sme.o
cfg80211-$(CONFIG_CFG80211_INTERNAL_REGDB) += regdb.o

ccflags-y += -D__CHECK_ENDIAN__

$(obj)/regdb.c: $(src)/db.txt $(src)/genregdb.awk
	@$(AWK) -f $(srctree)/$(src)/genregdb.awk < $< > $@

clean-files := regdb.c

=== oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee-0017.1016.2013~sutton1/driver/Makefile ===

CC = gcc
KVER  := $(shell uname -r)
KSRC := /lib/modules/$(KVER)/build
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/rtlwifi
FIRMWAREDIR := /lib/firmware/
PWD := $(shell pwd)
CLR_MODULE_FILES := *.mod.c *.mod *.o .*.cmd *.ko *~ .tmp_versions* modules.order Module.symvers
SYMBOL_FILE := Module.symvers

EXTRA_CFLAGS += -O2
obj-m := rtlwifi.o
PCI_MAIN_OBJS	:= base.o	\
		rc.o	\
		debug.o	\
		regd.o	\
		efuse.o	\
		cam.o	\
		ps.o	\
		core.o	\
		stats.o	\
		pci.o	\

rtlwifi-objs += $(PCI_MAIN_OBJS)

all: 
	$(MAKE) -C $(KSRC) M=$(PWD) modules
	@cp $(SYMBOL_FILE) btcoexist/
	@make -C btcoexist/
	@cp $(SYMBOL_FILE) rtl8192ce/
	@make -C rtl8192ce/
	@cp $(SYMBOL_FILE) rtl8192se/
	@make -C rtl8192se/
	@cp $(SYMBOL_FILE) rtl8192de/
	@make -C rtl8192de/
	@cp $(SYMBOL_FILE) rtl8723e/
	@make -C rtl8723e/
	@cp $(SYMBOL_FILE) rtl8188ee/
	@make -C rtl8188ee/
	@cp $(SYMBOL_FILE) rtl8723be/
	@cp btcoexist/$(SYMBOL_FILE) rtl8723be/
	@make -C rtl8723be/
	@cp $(SYMBOL_FILE) rtl8192ee/
	@cp btcoexist/$(SYMBOL_FILE) rtl8192ee/
	@make -C rtl8192ee/
install: all
	find /lib/modules/$(shell uname -r) -name "btcoexist_*.ko" -exec rm {} \;
	find /lib/modules/$(shell uname -r) -name "r8192se_*.ko" -exec rm {} \;
	find /lib/modules/$(shell uname -r) -name "r8192ce_*.ko" -exec rm {} \;
	find /lib/modules/$(shell uname -r) -name "r8723e_*.ko" -exec rm {} \;
	find /lib/modules/$(shell uname -r) -name "r8188ee_*.ko" -exec rm {} \;
	find /lib/modules/$(shell uname -r) -name "r8723be_*.ko" -exec rm {} \;
	find /lib/modules/$(shell uname -r) -name "r8192ee_*.ko" -exec rm {} \;
	@rm -fr $(FIRMWAREDIR)/`uname -r`/rtlwifi

	$(shell rm -fr $(MODDESTDIR))
	$(shell mkdir $(MODDESTDIR))
	$(shell mkdir $(MODDESTDIR)/btcoexist)
	$(shell mkdir $(MODDESTDIR)/rtl8192se)
	$(shell mkdir $(MODDESTDIR)/rtl8192ce)
	$(shell mkdir $(MODDESTDIR)/rtl8192de)
	$(shell mkdir $(MODDESTDIR)/rtl8723e)
	$(shell mkdir $(MODDESTDIR)/rtl8188ee)
	$(shell mkdir $(MODDESTDIR)/rtl8723be)
	$(shell mkdir $(MODDESTDIR)/rtl8192ee)
	@install -p -m 644 rtlwifi.ko $(MODDESTDIR)	
	@install -p -m 644 ./btcoexist/btcoexist.ko $(MODDESTDIR)/btcoexist
	@install -p -m 644 ./rtl8192se/rtl8192se.ko $(MODDESTDIR)/rtl8192se
	@install -p -m 644 ./rtl8192ce/rtl8192ce.ko $(MODDESTDIR)/rtl8192ce
	@install -p -m 644 ./rtl8192de/rtl8192de.ko $(MODDESTDIR)/rtl8192de
	@install -p -m 644 ./rtl8723e/rtl8723e.ko $(MODDESTDIR)/rtl8723e
	@install -p -m 644 ./rtl8188ee/rtl8188ee.ko $(MODDESTDIR)/rtl8188ee
	@install -p -m 644 ./rtl8723be/rtl8723be.ko $(MODDESTDIR)/rtl8723be
	@install -p -m 644 ./rtl8192ee/rtl8192ee.ko $(MODDESTDIR)/rtl8192ee
	
	@depmod -a

	@#copy firmware img to target fold
	@#$(shell [ -d "$(FIRMWAREDIR)/`uname -r`" ] && cp -fr firmware/rtlwifi/ $(FIRMWAREDIR)/`uname -r`/.)
	@#$(shell [ ! -d "$(FIRMWAREDIR)/`uname -r`" ] && cp -fr firmware/rtlwifi/ $(FIRMWAREDIR)/.)
	@cp -fr firmware/rtlwifi/ $(FIRMWAREDIR)/

uninstall:
	$(shell [ -d "$(MODDESTDIR)" ] && rm -fr $(MODDESTDIR))
	
	@depmod -a
	
	@#delete the firmware img
	@rm -fr /lib/firmware/rtlwifi/
	@rm -fr /lib/firmware/`uname -r`/rtlwifi/

clean:
	rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
	rm -fr .tmp_versions
	rm -fr Modules.symvers
	rm -fr Module.symvers
	rm -fr Module.markers
	rm -fr modules.order
	rm -fr tags
	@find -name "tags" -exec rm {} \;
	@rm -fr $(CLR_MODULE_FILES)
	@make -C btcoexist/ clean
	@make -C rtl8192ce/ clean
	@make -C rtl8192se/ clean
	@make -C rtl8192de/ clean
	@make -C rtl8723e/ clean
	@make -C rtl8188ee/ clean
	@make -C rtl8723be/ clean
	@make -C rtl8192ee/ clean

=== drivers/net/usb/Makefile ===
#
# Makefile for USB Network drivers
#

obj-$(CONFIG_USB_NET_COMPAT_CDCETHER)	+= cdc_ether.o
obj-$(CONFIG_USB_NET_COMPAT_RNDIS_HOST)	+= rndis_host.o
obj-$(CONFIG_USB_COMPAT_USBNET)	+= usbnet.o

=== drivers/net/wireless/Makefile ===
#
# Makefile for the Linux Wireless network device drivers.
#

obj-$(CONFIG_IPW2100) += ipw2x00/
obj-$(CONFIG_IPW2200) += ipw2x00/

obj-$(CONFIG_HERMES)		+= orinoco/

obj-$(CONFIG_AT76C50X_USB)      += at76c50x-usb.o

obj-$(CONFIG_B43)		+= b43/
obj-$(CONFIG_B43LEGACY)		+= b43legacy/
obj-$(CONFIG_COMPAT_ZD1211RW)		+= zd1211rw/
obj-$(CONFIG_RTL8180)		+= rtl818x/
obj-$(CONFIG_RTL8187)		+= rtl818x/
obj-$(CONFIG_RTLWIFI)		+= rtlwifi/

obj-$(CONFIG_USB_NET_COMPAT_RNDIS_WLAN)	+= rndis_wlan.o

obj-$(CONFIG_LIBERTAS)		+= libertas/

obj-$(CONFIG_LIBERTAS_THINFIRM)	+= libertas_tf/

obj-$(CONFIG_ADM8211)	+= adm8211.o

obj-$(CONFIG_MWL8K)	+= mwl8k.o

obj-$(CONFIG_IWLWIFI)	+= iwlwifi/
obj-$(CONFIG_IWLWIFI_LEGACY)	+= iwlegacy/
obj-$(CONFIG_RT2X00)	+= rt2x00/

obj-$(CONFIG_P54_COMMON)	+= p54/

obj-$(CONFIG_ATH_COMMON)	+= ath/

obj-$(CONFIG_MAC80211_HWSIM)	+= mac80211_hwsim.o

obj-$(CONFIG_WL1251)	+= wl1251/
obj-$(CONFIG_WL12XX)	+= wl12xx/
obj-$(CONFIG_WL12XX_PLATFORM_DATA)	+= wl12xx/

obj-$(CONFIG_IWM)	+= iwmc3200wifi/

obj-$(CONFIG_MWIFIEX)	+= mwifiex/
obj-$(CONFIG_BRCMFMAC) += brcm80211/
obj-$(CONFIG_BRCMUMAC) += brcm80211/
obj-$(CONFIG_BRCMSMAC) += brcm80211/

=== oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee-0017.1016.2013~sutton1/driver/btcoexist/Makefile ===

CC = gcc
KVER  := $(shell uname -r)
KSRC := /lib/modules/$(KVER)/build
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/
PWD := $(shell pwd)

EXTRA_CFLAGS += -O2
#EXTRA_CFLAGS += -DRTK_FW_HDR

####################################################
obj-m := btcoexist.o


BT_COEXIST_OBJS:=	HalBtc8192e2Ant.o\
			HalBtc8723b1Ant.o\
			HalBtc8723b2Ant.o\
			HalBtcOutSrc.o\
			rtl_btc.o	\

####################################################

btcoexist-objs += $(BT_COEXIST_OBJS)

default:
	        $(MAKE) -C $(KSRC) M=$(PWD) modules

.PHONY:clean
clean:
	rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
	rm -fr .tmp_versions
	rm -fr Modules.symvers
	rm -fr Module.symvers
	rm -fr Module.markers
	rm -fr modules.order
	rm -fr tags

=== oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee-0017.1016.2013~sutton1/driver/rtl8188ee/Makefile ===

CC = gcc
KVER  := $(shell uname -r)
KSRC := /lib/modules/$(KVER)/build
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/
PWD := $(shell pwd)

EXTRA_CFLAGS += -O2
#EXTRA_CFLAGS += -DRTK_FW_HDR

####################################################
obj-m := rtl8188ee.o


PCI_88EE_HAL_OBJS:=	\
	hw.o		\
	table.o		\
	sw.o		\
	trx.o		\
	led.o		\
	fw.o		\
	phy.o		\
	rf.o		\
	dm.o		\
	pwrseq.o	\
	pwrseqcmd.o	\

####################################################

rtl8188ee-objs += $(PCI_88EE_HAL_OBJS)

default:
	        $(MAKE) -C $(KSRC) M=$(PWD) modules

.PHONY:clean
clean:
	rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
	rm -fr .tmp_versions
	rm -fr Modules.symvers
	rm -fr Module.symvers
	rm -fr Module.markers
	rm -fr modules.order
	rm -fr tags

=== oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee-0017.1016.2013~sutton1/driver/rtl8723be/Makefile ===

CC = gcc
KVER  := $(shell uname -r)
KSRC := /lib/modules/$(KVER)/build
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/
PWD := $(shell pwd)

EXTRA_CFLAGS += -O2
#EXTRA_CFLAGS += -DRTK_FW_HDR

####################################################
obj-m := rtl8723be.o


PCI_8723BE_HAL_OBJS:=	\
	hw.o		\
	table.o		\
	sw.o		\
	trx.o		\
	led.o		\
	fw.o		\
	phy.o		\
	rf.o		\
	dm.o		\
	pwrseq.o	\
	pwrseqcmd.o	\
	hal_btc.o	\
	hal_bt_coexist.o	\

####################################################

rtl8723be-objs += $(PCI_8723BE_HAL_OBJS)


default:
	        $(MAKE) -C $(KSRC) M=$(PWD) modules

.PHONY:clean
clean:
	rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
	rm -fr .tmp_versions
	rm -fr Modules.symvers
	rm -fr Module.symvers
	rm -fr Module.markers
	rm -fr modules.order
	rm -fr tags

=== oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee-0017.1016.2013~sutton1/driver/rtl8723e/Makefile ===

CC = gcc
KVER  := $(shell uname -r)
KSRC := /lib/modules/$(KVER)/build
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/
PWD := $(shell pwd)

EXTRA_CFLAGS += -O2
#EXTRA_CFLAGS += -DRTK_FW_HDR

####################################################
obj-m := rtl8723e.o


PCI_8723E_HAL_OBJS:=	\
	hw.o		\
	table.o		\
	sw.o		\
	trx.o		\
	led.o		\
	fw.o		\
	phy.o		\
	rf.o		\
	dm.o		\
	pwrseq.o	\
	pwrseqcmd.o	\
	hal_btc.o	\
	hal_bt_coexist.o	\

####################################################

rtl8723e-objs += $(PCI_8723E_HAL_OBJS)

default:
	        $(MAKE) -C $(KSRC) M=$(PWD) modules

.PHONY:clean
clean:
	rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
	rm -fr .tmp_versions
	rm -fr Modules.symvers
	rm -fr Module.symvers
	rm -fr Module.markers
	rm -fr modules.order
	rm -fr tags

=== debian/changelog ===
oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee-dkms (0017.1016.2013~sutton1) precise; urgency=low

  * Upgrade to 0017.1016.2013. (LP: #1223257)
    - src/driver: rtl_92ce_92se_92de_8723ae_88ee_8723be_92ee_linux_mac80211_0017.1016.2013.tar.gz

 -- Yu Ning <ning.yu@canonical.com>  Mon, 21 Oct 2013 19:40:07 +0800

oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee-dkms (0017.1011.2013~sutton1) precise; urgency=low

  * Upgrade to 0017.1011.2013, add 92ee support. (LP: #1223257)
    - src/driver: rtl_92ce_92se_92de_8723ae_88ee_8723be_92ee_linux_mac80211_0017.1011.2013.tar.gz
  * Retire oem-wireless-rtl-92ee-dkms and
    oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-dkms.
    - dkms-mkdeb-template/debian/control: provide dummy packages for the
      retired ones.
  * Manually merge some changes from
    lp:~oem-solutions-group/sutton/OEM-DKMS-framework:
    - disable auto debsign.
    - auto generate modaliases.

 -- Yu Ning <ning.yu@canonical.com>  Sat, 12 Oct 2013 12:34:28 +0800

oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-dkms (0014.0806.2013~sutton2) precise; urgency=low

  * make it can be built against 3.8 kernel. (LP: #1221671)

 -- Shuduo Sang <shuduo.sang@canonical.com>  Fri, 06 Sep 2013 16:43:04 +0800

oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-dkms (0014.0806.2013~sutton1) precise; urgency=low

  * Upgrade to 0014.0806.2013. (LP: #1191306)
    - src/driver: rtl_92ce_92se_92de_8723ae_88ee_8723be_linux_mac80211_0014.0806.2013.tar.gz

 -- Yu Ning <ning.yu@canonical.com>  Wed, 07 Aug 2013 17:43:04 +0800

oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-dkms (0012.0603.2013~sutton2) precise; urgency=low

  * debian/modaliases: Correct format. (LP: #1176753)

 -- Yu Ning <ning.yu@canonical.com>  Thu, 13 Jun 2013 14:18:10 +0800

oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-dkms (0012.0603.2013~sutton1) precise; urgency=low

  * Initial release. (LP: #1176753)
    - src/driver: rtl_92ce_92se_92de_8723ae_88ee_8723be_linux_mac80211_0012.0603.2013.zip

 -- Yu Ning <ning.yu@canonical.com>  Thu, 06 Jun 2013 21:21:26 +0800

=== debian/control ===
Source: oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.9.3

Package: oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Replaces: oem-wireless-rtl-92ee-dkms (<< ${binary:Version}~),
 oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-dkms (<< ${binary:Version}~)
Breaks: oem-wireless-rtl-92ee-dkms (<< ${binary:Version}~),
 oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-dkms (<< ${binary:Version}~)
XB-Modaliases: ${modaliases}
Description: oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee driver in DKMS format.

# dummy package to retire the old driver
Package: oem-wireless-rtl-92ee-dkms
Architecture: all
Section: oldlibs
Depends: oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee-dkms, ${misc:Depends}
Description: oem-wireless-rtl-92ee driver in DKMS format.

# dummy package to retire the old driver
Package: oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-dkms
Architecture: all
Section: oldlibs
Depends: oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee-dkms, ${misc:Depends}
Description: oem-wireless-rtl-92ee driver in DKMS format.

=== oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee-0017.1016.2013~sutton1/oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee-dkms-mkdeb/debian/control ===
Source: DEBIAN_PACKAGE-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.9.3

Package: DEBIAN_PACKAGE-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Replaces: oem-wireless-rtl-92ee-dkms (<< ${binary:Version}~),
 oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-dkms (<< ${binary:Version}~)
Breaks: oem-wireless-rtl-92ee-dkms (<< ${binary:Version}~),
 oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-dkms (<< ${binary:Version}~)
XB-Modaliases: ${modaliases}
Description: DEBIAN_PACKAGE driver in DKMS format.

# dummy package to retire the old driver
Package: oem-wireless-rtl-92ee-dkms
Architecture: all
Section: oldlibs
Depends: DEBIAN_PACKAGE-dkms, ${misc:Depends}
Description: oem-wireless-rtl-92ee driver in DKMS format.

# dummy package to retire the old driver
Package: oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-dkms
Architecture: all
Section: oldlibs
Depends: DEBIAN_PACKAGE-dkms, ${misc:Depends}
Description: oem-wireless-rtl-92ee driver in DKMS format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee
NAME=oem-wireless-rtl-92ce-92se-92de-8723ae-88ee-8723be-92ee
VERSION=0017.1016.2013~sutton1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installchangelogs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
